#pragma once

#include <QObject>
#include <QString>

class AuseftDDSPluginInterface
{
public:
    virtual ~AuseftDDSPluginInterface() {}
    virtual Q_INVOKABLE bool init() = 0;
    virtual Q_INVOKABLE void publishOnce() = 0;
    virtual Q_INVOKABLE QString echo(const QString& message) = 0;
    virtual Q_INVOKABLE int calculate(int a, int b) = 0;
};

#define AuseftDDSPluginInterface_iid "Com.Auseft.AuseftDDSPluginInterface"
Q_DECLARE_INTERFACE(AuseftDDSPluginInterface, AuseftDDSPluginInterface_iid)
